# Uses of Class
org.apache.lucene.monitor.CandidateMatcher

- ## Uses of CandidateMatcher in org.apache.lucene.monitor

  Subclasses of CandidateMatcher in org.apache.lucene.monitor
  Modifier and Type
  Class
  Description
  `class`
  `ParallelMatcher<T extends QueryMatch>`
  Matcher class that runs matching queries in parallel.
  `class`
  `PartitionMatcher<T extends QueryMatch>`
  A multi-threaded matcher that collects all possible matches in one pass, and then partitions them amongst a number of worker threads to perform the actual matching.
  Methods in org.apache.lucene.monitor that return CandidateMatcher
  Modifier and Type
  Method
  Description
  `CandidateMatcher<T>`
  MatcherFactory.`createMatcher(IndexSearcher searcher)`
  Create a new `CandidateMatcher` object, to select queries to match against the passed-in IndexSearcher
  Methods in org.apache.lucene.monitor with parameters of type CandidateMatcher
  Modifier and Type
  Method
  Description
  `protected void`
  CandidateMatcher.`copyMatches(CandidateMatcher<T> other)`
  Copy all matches from another CandidateMatcher